#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-good-1.24.12

- Next

  gst-plugins-ugly-1.24.12

- Up
- Home

# gst-plugins-bad-1.24.12

## Introduction to GStreamer Bad Plug-ins

The GStreamer Bad Plug-ins package contains a set of plug-ins that aren't up to par compared to the rest. They might be close to being good quality, but they're missing something - be it a good code review, some documentation, a set of tests, a real live maintainer, or some actual wide use.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-1.24.12.tar.xz

- Download MD5 sum: f2e4b24dca97397158e496059ec65ce6

- Download size: 6.8 MB

- Estimated disk space required: 273 MB (with tests)

- Estimated build time: 0.9 SBU (Using parallelism=4; with tests)

### GStreamer Bad Plug-ins Dependencies

#### Required

gst-plugins-base-1.24.12

#### Recommended

libdvdread-6.1.3, libdvdnav-6.1.1, libva-2.22.0, and SoundTouch-2.3.3

#### Optional

BlueZ-5.79, cURL-8.12.1, faac-1.31, FAAD2-2.11.1, fdk-aac-2.0.3, GTK-3.24.48 (for examples), gst-plugins-good-1.24.12 (for one test), JSON-GLib-1.10.6, Little CMS-2.17, libaom-3.12.0, libass-0.17.3, libexif-0.6.25 (for one test), librsvg-2.59.2, libsoup-2.74.3 (for one test), libsndfile-1.2.2, libssh2-1.11.1, libusb-1.0.27, libwebp-1.5.0, libxkbcommon-1.8.0, neon-0.34.0, Nettle-3.10.1 or libgcrypt-1.11.0 (for SSL support in the hls plugin, if both are not installed OpenSSL will be used instead), opencv-4.11.0 (with additional modules), OpenJPEG-2.5.3, Opus-1.5.2, qrencode-4.1.1, SBC-2.0, sdl12-compat-1.2.68, Valgrind-3.24.0, both Vulkan-Loader-1.4.304 and glslc from shaderc-2024.4 (for Vulkan plugin), Wayland-1.23.0 (GTK-3.24.48 must have been compiled with wayland support), x265-4.1, zxing-cpp-2.3.0, bs2b, Chromaprint, dssim, Flite, FluidSynth, Game Music Emu, GSM, hotdoc, LADSPA, ldacBT, libajantv2, libavtp, libdc1394-2, libdca, libde265, libkate, libmfx, libmms, libmodplug, libnice, libofa, libopenmpt, libopenni, libsrtp, lilv, LRDF, ltc-tools, microdns, MJPEG Tools, mplex2, musepack, onnxruntime, OpenAL, OpenEXR, OpenH264, Orc, rtmpdump, spandsp, Srt, svthevcenc, VO AAC, VO AMRWB, WildMidi, WPE-WebKit, WPEBackend-fdo, ZBAR, and ZVBI

## Installation of GStreamer Bad Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Bad Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D gpl=enabled      &&
    ninja

To test the results, issue: ninja test. Several tests need a terminal emulator in a graphical session. One test, elements_dash_mpd, is known to fail. If gst-plugins-good-1.24.12 is not installed, two tests, elements_rtpsrc and elements_rtpsink, will fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gpl=enabled`: Without this switch, plugins with dependencies on (A)GPL licensed libraries are not built.

## Contents

Installed Programs: gst-transcoder-1.0 and playout
Installed Libraries: libgstadaptivedemux-1.0.so, libgstanalytics-1.0.so, libgstbadaudio-1.0.so, libgstbasecamerabinsrc-1.0.so, libgstcuda-1.0.so, libgstcodecparsers-1.0.so, libgstcodecs-1.0.so, libgstdxva-1.0.so, libgstinsertbin-1.0.so, libgstisoff-1.0.so, libgstmpegts-1.0.so, libgstmse-1.0.so, libgstphotography-1.0.so, libgstplay-1.0.so, libgstplayer-1.0.so, libgstsctp-1.0.so, libgsttranscoder-1.0.so, libgsturidownloader-1.0.so, libgstva-1.0.so, libgstwayland-1.0.so, libgstwebrtc-1.0.so, and several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/include/gstreamer-1.0/gst/{audio,basecamerabinsrc,cuda}, /usr/include/gstreamer-1.0/gst/{codecparsers,insertbin,interfaces}, /usr/include/gstreamer-1.0/gst/{isoff,mpegts,play,player,sctp} /usr/include/gstreamer-1.0/gst/{transcoder,uridownloader,va}, and /usr/include/gstreamer-1.0/gst/{wayland,webrtc}

### Short Descriptions

gst-transcoder-1.0 | is used to transcode a stream into a different format
playout | is an example application used to sequentially play a list of audio-video files

- Prev

  gst-plugins-good-1.24.12

- Next

  gst-plugins-ugly-1.24.12

- Up
- Home